Skip to main content
Resource Center/Hardware/Host Operations/PCI Device Operations

GetMdevDeviceSpecCandidates

GetMdevDeviceSpecCandidates

GET/zstack/v1/mdev-device-specs/candidates

Operation ID

GetMdevDeviceSpecCandidates

Since

3.5.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • clusterUuids
    List

    Optional. The cluster UUID list.

  • hostUuid
    String

    Optional. The host UUID.

  • vmInstanceUuid
    String

    Optional. The VM instance UUID.

  • vmInstanceUuids
    List

    Optional. The VM instance UUID list.

  • types
    List

    Optional. The MDEV device types.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventories
    ListRequired

    See inventories.

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • description
      StringRequired

      The detailed description of the resource.

    • specification
      StringRequired

      The specification details.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • type
      MdevDeviceTypeRequired

      See type.

      • GPU_Video_Controller
        MdevDeviceTypeRequired

        The GPU video controller.

    • state
      MdevDeviceSpecStateRequired

      See state.

      • Enabled
        MdevDeviceSpecStateRequired

        The MDEV device specification is enabled.

      • Disabled
        MdevDeviceSpecStateRequired

        The MDEV device specification is disabled.